/* eslint-disable no-undef */
const supertest = require('supertest');
const chai = require('chai');
const app = require('./../app');

const { initDb } = require('../db');

const expect = chai.expect;
const request = supertest(app.listen());

const before = () => {
    it('init', async () => {
        await initDb();
    });

    // ping 测试
    it('/ping', (done) => {
        request
            .get('/ping')
            .expect(200)
            .end((err, res) => {
                expect(res.body).to.be.an('object');
                expect(res.body.d).to.be.an('boolean');
                done();
            });
    });
};

describe('基础测试', () => {

    before(() => {
        before(false);
    });
})

